### Method

# EDataServer NamedParameters get

since: 3.8

#### Declaration [src]

    const gchar*
    e_named_parameters_get (
      const ENamedParameters* parameters,
      const gchar* name
    )

#### Description [src]

Returns current value of a parameter with name `name`. If not such exists, then returns `NULL`.

Available since: 3.8

#### Parameters

`name`

  Type: `const gchar*`

  Name of a parameter to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Value of a parameter named `name`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.